/****************************************************************************
 *   Copyright (C) 2009 Matteo Croce                                        *
 *   rootkit85@yahoo.it                                                     *
 ****************************************************************************/

#include <QApplication>
#include <QMainWindow>

#include <QPlastiqueStyle>
#include <QDesktopWidget>
#include "warunpack.h"

int main(int argc, char *argv[])
{
	QApplication a(argc, argv);
	QApplication::setStyle(new QPlastiqueStyle());
	QApplication::setPalette(QApplication::style()->standardPalette());
	WarUnPack w;
	w.move((QApplication::desktop()->screenGeometry(&w).width() - w.width()) / 2, (QApplication::desktop()->screenGeometry(&w).height() - w.height()) / 2);
	w.setVisible(true);
	QObject::connect(&a, SIGNAL(lastWindowClosed()), &a, SLOT(quit()));
	return a.exec();
}
