/****************************************************************************
 *   Copyright (C) 2009 Matteo Croce                                        *
 *   rootkit85@yahoo.it                                                     *
 ****************************************************************************/

#ifndef WARUNPACK_H
#define WARUNPACK_H

#include <QMainWindow>

#include "ui_warunpack.h"

#define	HEADER_SIZE	0x10
#define	FILE_NUMBER	8
#define	INDEX_SIZE	0x110
#define	LEN_OFFSET	0x104
#define	UNC_LEN_OFFSET	0x10c

class WarUnPack: public QMainWindow, private Ui::MainWindow
{
	Q_OBJECT

public:
	WarUnPack();
	~WarUnPack();
private slots:
	void about();
	void browseInSlot();
	void extractSlot();
};

class mmg_index
{
public:
	mmg_index(const QString&, int, unsigned long);
	QString name;
	int len;
	unsigned long unclen;
};

#endif
